Bug 1266665 - [abrt] vdpauinfo: ____strtoul_l_internal(): vdpauinfo killed by SIGSEGV
[abrt] vdpauinfo: ____strtoul_l_internal(): vdpauinfo killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vdpauinfo (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a982891ea36cb18b49dad42de81...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 05:57 EDT by Onuralp SEZER
Modified: 2016-10-26 11:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 11:52:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.96 KB, text/plain)
2015-09-26 05:57 EDT, Onuralp SEZER
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-26 05:57 EDT, Onuralp SEZER
no flags Details
File: core_backtrace (1.65 KB, text/plain)
2015-09-26 05:57 EDT, Onuralp SEZER
no flags Details
File: dso_list (1.04 KB, text/plain)
2015-09-26 05:57 EDT, Onuralp SEZER
no flags Details
File: environ (3.35 KB, text/plain)
2015-09-26 05:57 EDT, Onuralp SEZER
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-26 05:57 EDT, Onuralp SEZER
no flags Details
File: glxinfo_nvidia_gtx680m (22.58 KB, text/plain)
2015-09-26 05:57 EDT, Onuralp SEZER
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-26 05:57 EDT, Onuralp SEZER
no flags Details
File: maps (5.54 KB, text/plain)
2015-09-26 05:58 EDT, Onuralp SEZER
no flags Details
File: mountinfo (3.37 KB, text/plain)
2015-09-26 05:58 EDT, Onuralp SEZER
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-26 05:58 EDT, Onuralp SEZER
no flags Details
File: open_fds (187 bytes, text/plain)
2015-09-26 05:58 EDT, Onuralp SEZER
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-09-26 05:58 EDT, Onuralp SEZER
no flags Details
File: var_log_messages (310 bytes, text/plain)
2015-09-26 05:58 EDT, Onuralp SEZER
no flags Details

  None (edit)
Description Onuralp SEZER 2015-09-26 05:57:43 EDT
Description of problem:
I ran this command for checking "nvidia card" ; and then It's simply crashed

DRI_PRIME=1 vdpauinfo | grep -i string

GPUs list

00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GK104M [GeForce GTX 680M] (rev a1)

glxinfo for my nvidia card;  http://ur1.ca/nv14o  

 



Version-Release number of selected component:
vdpauinfo-1.0-4.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        vdpauinfo
crash_function: ____strtoul_l_internal
executable:     /usr/bin/vdpauinfo
global_pid:     10888
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 ____strtoul_l_internal at ../stdlib/strtol_l.c:297
 #1 __strtoul at ../stdlib/strtol.c:109
 #2 _vdp_DRI2Connect at mesa_dri2.c:139
 #3 _vdp_get_driver_name_from_dri2 at vdpau_wrapper.c:97
 #4 _vdp_open_driver at vdpau_wrapper.c:128
 #5 vdp_device_create_x11 at vdpau_wrapper.c:413
Comment 1 Onuralp SEZER 2015-09-26 05:57:47 EDT
Created attachment 1077352 [details]
File: backtrace
Comment 2 Onuralp SEZER 2015-09-26 05:57:49 EDT
Created attachment 1077353 [details]
File: cgroup
Comment 3 Onuralp SEZER 2015-09-26 05:57:50 EDT
Created attachment 1077354 [details]
File: core_backtrace
Comment 4 Onuralp SEZER 2015-09-26 05:57:52 EDT
Created attachment 1077355 [details]
File: dso_list
Comment 5 Onuralp SEZER 2015-09-26 05:57:54 EDT
Created attachment 1077356 [details]
File: environ
Comment 6 Onuralp SEZER 2015-09-26 05:57:55 EDT
Created attachment 1077357 [details]
File: exploitable
Comment 7 Onuralp SEZER 2015-09-26 05:57:58 EDT
Created attachment 1077358 [details]
File: glxinfo_nvidia_gtx680m
Comment 8 Onuralp SEZER 2015-09-26 05:57:59 EDT
Created attachment 1077359 [details]
File: limits
Comment 9 Onuralp SEZER 2015-09-26 05:58:01 EDT
Created attachment 1077360 [details]
File: maps
Comment 10 Onuralp SEZER 2015-09-26 05:58:02 EDT
Created attachment 1077361 [details]
File: mountinfo
Comment 11 Onuralp SEZER 2015-09-26 05:58:04 EDT
Created attachment 1077362 [details]
File: namespaces
Comment 12 Onuralp SEZER 2015-09-26 05:58:06 EDT
Created attachment 1077363 [details]
File: open_fds
Comment 13 Onuralp SEZER 2015-09-26 05:58:07 EDT
Created attachment 1077364 [details]
File: proc_pid_status
Comment 14 Onuralp SEZER 2015-09-26 05:58:09 EDT
Created attachment 1077365 [details]
File: var_log_messages
Comment 15 Nicolas Chauvet (kwizart) 2016-10-03 03:27:47 EDT
Sorry for the lack of answer.
I don't reproduce on f24, can you confirm it's still an issue ?
Comment 16 Onuralp SEZER 2016-10-17 08:30:57 EDT
Hello; 
Yes it is working on f24 and f25. We can close the bug.

Thank you

Note You need to log in before you can comment on or make changes to this bug.